#include "xaudioxmadatainfo.h"

XAudioXmaDataInfo::XAudioXmaDataInfo()
    : XAsset()
    , mTotalMsec(0)
{
    SetName("Audio XMA Data Info");
}

XAudioXmaDataInfo::~XAudioXmaDataInfo()
{

}

void XAudioXmaDataInfo::ParseData(XDataStream *aStream)
{
    mTotalMsec = aStream->ParseInt32(QString("%1 total msec").arg(GetName()));
}

void XAudioXmaDataInfo::Clear()
{
    mTotalMsec = 0;
}
